version 8
set more off
set virtual on
clear
set trace off

cd "$root"

capture log close
log using "brazrloc/logs/rais-cnpj-list-metro.log", replace

use identificad ano using "rais/base-cnpj/rais-catalog-cnpj", clear
merge identificad using "brazrloc/data/wid-draw-workers-metro-male-cnpj"
tab _m
keep if _m==3
drop _m
duplicates drop identificad ano, force

sort identificad ano
by identificad: gen indabsyr1 = (ano[_n-1]~=ano-1)
label var indabsyr1 "Indic.: Plant absence prior year"

sort identificad ano
save "brazrloc/data/rais-cnpj-list-metro", replace

log close
cd "$root"
